---
title: WebGLRenderingContext.clear()
slug: Web/API/WebGLRenderingContext/clear
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.clear()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> clears buffers to preset values.</p>

<p>The preset values can be set by {{domxref("WebGLRenderingContext.clearColor", "clearColor()")}}, {{domxref("WebGLRenderingContext.clearDepth", "clearDepth()")}} or {{domxref("WebGLRenderingContext.clearStencil", "clearStencil()")}}.</p>

<p>The scissor box, dithering, and buffer writemasks can affect the <code>clear()</code> method.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.clear(<var>mask</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>mask</code></dt>
 <dd>A {{domxref("GLbitfield")}} bitwise OR mask that indicates the buffers to be cleared. Possible values are:
 <ul>
  <li><code>gl.COLOR_BUFFER_BIT</code></li>
  <li><code>gl.DEPTH_BUFFER_BIT</code></li>
  <li><code>gl.STENCIL_BUFFER_BIT</code></li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h3 id="Exceptions">Exceptions</h3>

<p>If <em>mask</em> is not one of the listed possible values, a <code>gl.INVALID_ENUM</code> error is thrown.</p>

<h2 id="Examples">Examples</h2>

<p>The <code>clear()</code> method accepts multiple values.</p>

<pre class="brush: js">gl.clear(gl.DEPTH_BUFFER_BIT);
gl.clear(gl.DEPTH_BUFFER_BIT | gl.COLOR_BUFFER_BIT);
</pre>

<p>To get the current clear values, query the <code>COLOR_CLEAR_VALUE</code>, <code>DEPTH_CLEAR_VALUE</code>, and <code>STENCIL_CLEAR_VALUE</code> constants.</p>

<pre class="brush: js">gl.getParameter(gl.COLOR_CLEAR_VALUE);
gl.getParameter(gl.DEPTH_CLEAR_VALUE);
gl.getParameter(gl.STENCIL_CLEAR_VALUE);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.11", "clear")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glClear.xml", "glClear")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.clear")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.clearColor()")}}</li>
 <li>{{domxref("WebGLRenderingContext.clearDepth()")}}</li>
 <li>{{domxref("WebGLRenderingContext.clearStencil()")}}</li>
</ul>
